Subject: Re: [PATCH 1/2] wireless: ath9k_htc: fix NULL-deref at probe

From: Johan Hovold <[email-masked]>
Date: Mon, 3 Apr 2017 10:42:13 +0200

On Mon, Mar 13, 2017 at 01:44:20PM +0100, Johan Hovold wrote:
> Make sure to check the number of endpoints to avoid dereferencing a
> NULL-pointer or accessing memory beyond the endpoint array should a
> malicious device lack the expected endpoints.
> 
> Fixes: 36bcce430657 ("ath9k_htc: Handle storage devices")
> Cc: Sujith Manoharan <[email-masked]>
> Signed-off-by: Johan Hovold <[email-masked]>

Is this one still in your queue, Kalle?

As I mentioned earlier, I should have added a

Cc: stable <[email-masked]>     # 2.6.39

but left it out as I mistakingly thought the net recommendations to do
so applied also to wireless.

Thanks,
Johan